XISUITEDokumentation

Wiki Workflow

4 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

Get workflow state + caller capabilities for a page#

GET/spaces/{spaceId}/wiki/{pageId}/workflowToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
pageIdPflichtPfadstring–

Antworten

  • 200Workflow state returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki/{pageId}/workflow" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Execute a workflow transition (submit_for_review | approve | reject | withdraw | publish | unpublish)#

POST/spaces/{spaceId}/wiki/{pageId}/workflow/transitionToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–
pageIdPflichtPfadstring–

Request-Bodyapplication/jsonWikiWorkflowTransitionDto

NameTypBeschreibung
actionPflichtstring

Werte: submit_for_reviewapproverejectwithdrawpublishunpublish

notestring

Reviewer note (required for reject)

approverIdsstring[]

Approver user UUIDs for submit_for_review (defaults to the space settings default_approver_ids).

Antworten

  • 200Updated page + capabilities
  • 400Invalid transition
  • 403Actor not allowed
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki/{pageId}/workflow/transition" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"submit_for_review"}'

Get wiki workflow settings for a space#

GET/spaces/{spaceId}/wiki/workflow/settingsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Antworten

  • 200Settings returned
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki/workflow/settings" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update wiki workflow settings (space admin only)#

PUT/spaces/{spaceId}/wiki/workflow/settingsToken

Parameter

NameOrtTypBeschreibung
spaceIdPflichtPfadstring–

Request-Bodyapplication/jsonWikiSpaceSettingsDto

NameTypBeschreibung
require_approvalPflichtboolean

Whether publishing requires the review/approval flow

default_approver_idsstring[]

Default approver user UUIDs

Antworten

  • 200Settings updated
  • 403Space admin required
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/spaces/{spaceId}/wiki/workflow/settings" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"require_approval":true}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions